# kctextdb.h File Reference

plain text database More...

`#include <kccommon.h>`
`#include <kcutil.h>`
`#include <kcthread.h>`
`#include <kcfile.h>`
`#include <kccompress.h>`
`#include <kccompare.h>`
`#include <kcmap.h>`
`#include <kcregex.h>`
`#include <kcdb.h>`

## Classes

class | kyotocabinet::TextDB
| Plain text database. More...
class | kyotocabinet::TextDB::Cursor
| Cursor to indicate a record. More...
class | kyotocabinet::TextDB::ScopedVisitor
| Scoped visitor.

## Namespaces

namespace | kyotocabinet

| All symbols of Kyoto Cabinet.

## Detailed Description

plain text database